package eu.dnetlib.uoamonitorservice.dto;

import eu.dnetlib.uoamonitorservice.entities.Indicator;
import eu.dnetlib.uoamonitorservice.entities.Section;
import eu.dnetlib.uoamonitorservice.generics.SectionGeneric;

import java.util.List;
import java.util.Objects;

public class SectionFull extends SectionGeneric<Indicator> {
    public SectionFull() {}

    public SectionFull(Section section, List<Indicator> indicators) {
        super(section);
        indicators.removeIf(Objects::isNull);
        this.indicators = indicators;
    }
}
